Przejdź do głównej zawartości

"KDE 5" coś się w końcu wyjaśnia

Dotychczas, w świecie KDE - przynajmniej w jego piątym wydaniu - żyliśmy wg ustalonego cyklu. Nowe wydanie KDE Frameworks pojawiało się co miesiąc, nowe "główne" wydanie Plasma 5 miało się pojawiać 4 razy do roku (ostatnio jednak rzadziej), zaś KDE Applications 3 razy w roku. Pierwsze "zamieszanie" wprowadziło wydanie Qt, które w wersji 5.6 uzyskało status tzw. LTS i to wydanie będzie wspierane przez 3 lata. Pomimo jednak tego, że Qt 5.6 jest LTSem, to "obok" wydawane są kolejne wersje. Obecnie mamy już 5.7, a w listopadzie spodziewane jest 5.8. Ba, przed końcem wsparcia 5.6 spodziewane jest wydanie już 6.0, które jednakże nie ma być takim skokiem "jakościowym" i "technologicznym" jak wydania Qt4, czy Qt5 i być niejako kontynuacją Qt5. Kolejna wersja LTS tego frameworka spodziewana jest w 2018 r.
To jest Qt, które stanowi podstawę budowania oprogramowania KDE.
Nie tak dawno pojawiła się informacja, że nadchodzące wydanie Plasma 5.8 będzie LTSem ze wsparciem do kwietnia 2018 r. Nic do tej pory nie było wiadomo o LTSie KF, czy też dalszym rozwoju Plasmy obok LTS w wersji 5.8.
Teraz coś się wyjaśnia.
Otóż KF5 w wersji 5.26 również ma stać się LTSem. Jest to jednocześnie minimalne wymaganie dla budowy Plasma 5.8. Samo KF 5.6 ma natomiast minimalne wymaganie w Qt w wersji 5.6. To oznacza, że do kwietnia 2018 r. będziemy mogli cieszyć się stabilną wersją środowiska pochodzącego od KDE, które nie będzie otrzymywać żadnych nowych funkcji, a jedynie poprawki błędów. To środowisko będzie się składać z Qt5.6, KF5.26 oraz Plasma 5.8. Jedyne zmiany funkcjonalności (czego po prostu nie obejmuje LTS) to "kompatybilność" z Waylandem.
Teraz jednak okazuje się, że obok LTS będą wydawane kolejne wersje KDE w swoim dotychczasowym cyklu. Oznacza to, że kolejne wersje KF5 będą się ukazywać co miesiąc (w październiku 5.7 itd.), na wiosnę przyszłego roku zobaczymy Plasmę 5.9 itd., aż do ukazania się Qt 6, które prawdopodobnie spowoduje powstanie "KDE 6", czyli - bowiem nic nie wskazuje, by ten model miał ulec zmianie - otrzymamy KF6 i Plasmę (KDE) 6. Model wydawniczy w wersji "5" będzie natomiast kontynuowany do końca wsparcia Qt5.

Popularne posty z tego bloga

MEGA a sprawa Arch Linux

Mniejsza o to, czy MEGA to popularny, czy godny zaufania itd. itp. dostarczyciel przestrzeni w chmurze. Fakt, że po moich doświadczeniach z dropboksem nie chcę mieć więcej z nim nic wspólnego. Może zatem MEGA, do którego mam dostęp niemal od samego początku? Miłym dodatkiem do MEGA może okazać się uruchomione repozytorium oferujące sam program synchronizujący (megasync) oraz dodatki dla trzech, chyba najpopularniejszych, menedżerów plików: Dolphin, Nautilus i Thunar, umożliwiające synchronizację z plików z ich poziomu. Jest to o tyle miłe, że do tej pory musieliśmy kompilować te programy z AUR, a nadto w przypadku megasync wersja oferowana w repozytorium jest nowsza, zaś dolphin-megasync obecnie w ogóle się nie kompiluje. Chcąc dodać repozytorium MEGA do pacmana, edytujemy plik /etc/pacman.conf i gdzieś na końcu listy dodajemy: [DEB_Arch_Extra]SigLevel = Optional TrustAllServer = https://mega.nz/linux/MEGAsync/Arch_Extra/x86_64/ Nadto musimy jeszcze dodać klucz: gpg --receive-keys BF…

Plasma i Strażnik Krypt

W czasach, gdy nasza prywatność jest wystawiana na ciężką próbę, jeden z deweloperów KDE postanowił dodać do Plasmy możliwość dość łatwej obsługi szyfrowanych, wirtualnych "katalogów" - krypt, jak je nazywa. Sam projekt nazywa się plasma-vault i po około 3 miesiącach rozwijania pojawiła się w repozytorium unstable KDE najpierw jego wersja 5.9.95, a obecnie 5.9.96. Jak wskazuje numer wersji (choć ten został nadany nie przez opiekuna, ale przez wszędobylskiego Jonathana Riddella), aplikacja była planowana jako część Plasma 5.10. Tak się jednak z jakichś przyczyn nie stało. Obecnie jest ona planowana, jako część nadchodzącego wydania 5.11. Sam program w Archu dostępny jest w AUR. Buduje się całkiem żwawo i działa na tyle, by można zaryzykować jeśli nie używanie, to przynajmniej sprawdzenie działania i zgłoszenie ewentualnych błędów deweloperom. Pamiętajcie by czytać to co po pacman pisze przy instalacji. Program do prawidłowej funkcjonalności potrzebuje bądź encfs bądź cryfs. …

Co naprawdę oznacza, że pacman (Arch) nie wspiera częściowej aktualizacji

Pośród osób pracujących na Arch Linux jak mantra powtarzane jest twierdzenie: pacman (Arch) nie wspiera częściowej aktualizacji. Co w istocie to oznacza? Jakie są najczęściej popełniane błędy?

1. Synchronizacja repozytoriów dla zabawy
Zdarzyło się Wam wydać polecenie pacman -Sy bądź pacman -Syy, a za jakiś czas instalować program poprzez pacman -S? Jeśli nie, to jak dowodzą świadectwa innych użytkowników tu i ówdzie rozsiane po internecie praktyka ta wcale nie jest tak rzadka. Zobaczmy zatem co się dzieje w takich przypadkach i do czego to prowadzi.
Pierwsze polecenie dokona synchronizacji informacji o dostępnych paczkach (w tym ich wersjach) w repozytoriach z informacjami lokalnie przechowywanymi w bazie pacmana. Nie jest dokonywana żadna aktualizacja systemu. Następne polecenie oczywiście zainstaluje paczkę. Paczkę w takiej wersji, jaka jest w danym momencie w repozytorium.
Zwróćmy teraz uwagę na to w jaki sposób budowane są paczki w repozytoriach Archa oraz jakie informacje przekaz…